# Function fetchIterable

- fetchIterable<T>(fetchFunction, cyberIndexUrl, id, timestamp): AsyncGenerator<T[], void, undefined>

- #### Type Parameters

  - T

  #### Parameters

  - fetchFunction: ((url: string, id: string, timestamp: number, offset: number) => Promise<T[]>)
    - - (url, id, timestamp, offset): Promise<T[]>

      - #### Parameters

        - url: string
        - id: string
        - timestamp: number
        - offset: number

        #### Returns Promise<T[]>

  - cyberIndexUrl: string
  - id: string
  - timestamp: number

  #### Returns AsyncGenerator<T[], void, undefined>

  - Defined in work/deeplinks/deeplinks/imports/cyber/backend/services/dataSource/blockchain/utils/fetch.ts:1